CVE-2023-45826

CVSS 3.1 Score 6.5 of 10 (medium)

Details

Published Oct 19, 2023
Updated: Oct 27, 2023
CWE ID 89

Summary

CVE-2023-45826 is a vulnerability that affects Leantime, an open source project management system. The vulnerability exists in the 'userId' variable in the app/domain/files/repositories/class.files.php file, where it is not properly parameterized. An authenticated attacker can exploit this SQL injection vulnerability by sending a carefully crafted POST request to /api/jsonrpc, potentially leading to information disclosure from the database. The issue has been addressed in version 2.4-beta-4 of Leantime, and users are advised to upgrade to this version to remediate the vulnerability. There are no known workarounds for this vulnerability. The National Vulnerability Database has rated this vulnerability as medium severity, with a base score of 6.5 out of 10 and a confidentiality impact of high.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-45826 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options